Bug 1123664 - [abrt] gvfs-mtp: g_signal_handlers_destroy(): gvfsd-mtp killed by SIGSEGV
Summary: [abrt] gvfs-mtp: g_signal_handlers_destroy(): gvfsd-mtp killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:35f4a17712590b8ce5391d4a218...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 20:45 UTC by jschreiner
Modified: 2015-06-29 21:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:48:03 UTC


Attachments (Terms of Use)
File: backtrace (47.27 KB, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: core_backtrace (47.58 KB, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: dso_list (3.59 KB, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: environ (852 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: exploitable (100 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: maps (19.06 KB, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: open_fds (449 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details
File: var_log_messages (384 bytes, text/plain)
2014-07-27 20:45 UTC, jschreiner
no flags Details

Description jschreiner 2014-07-27 20:45:00 UTC
Version-Release number of selected component:
gvfs-mtp-1.18.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.5 /org/gtk/gvfs/exec_spaw/1
crash_function: g_signal_handlers_destroy
executable:     /usr/libexec/gvfsd-mtp
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_signal_handlers_destroy at gsignal.c:2657
 #1 g_object_real_dispose at gobject.c:1016
 #3 registered_path_free at gvfsdaemon.c:135
 #4 g_hash_table_remove_internal at ghash.c:1276
 #5 g_vfs_monitor_finalize at gvfsmonitor.c:105
 #7 weak_refs_notify at gobject.c:2643
 #9 g_value_unset at gvalue.c:274
 #12 g_vfs_job_source_closed at gvfsjobsource.c:107
 #13 unregister_mount_callback at gvfsjobunmount.c:298
 #14 g_simple_async_result_complete at gsimpleasyncresult.c:777

Comment 1 jschreiner 2014-07-27 20:45:04 UTC
Created attachment 921502 [details]
File: backtrace

Comment 2 jschreiner 2014-07-27 20:45:05 UTC
Created attachment 921503 [details]
File: cgroup

Comment 3 jschreiner 2014-07-27 20:45:07 UTC
Created attachment 921504 [details]
File: core_backtrace

Comment 4 jschreiner 2014-07-27 20:45:08 UTC
Created attachment 921505 [details]
File: dso_list

Comment 5 jschreiner 2014-07-27 20:45:09 UTC
Created attachment 921506 [details]
File: environ

Comment 6 jschreiner 2014-07-27 20:45:11 UTC
Created attachment 921507 [details]
File: exploitable

Comment 7 jschreiner 2014-07-27 20:45:12 UTC
Created attachment 921508 [details]
File: limits

Comment 8 jschreiner 2014-07-27 20:45:13 UTC
Created attachment 921509 [details]
File: maps

Comment 9 jschreiner 2014-07-27 20:45:15 UTC
Created attachment 921510 [details]
File: open_fds

Comment 10 jschreiner 2014-07-27 20:45:16 UTC
Created attachment 921511 [details]
File: proc_pid_status

Comment 11 jschreiner 2014-07-27 20:45:17 UTC
Created attachment 921512 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:29:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:48:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.